package com.bjtdba.order.vo;

import java.math.BigDecimal;
import java.util.Date;

public class StoreCartVo {

    /**
     * 购物车表ID
     */
    private Long cart_id;
    /**
     * 用户ID
     */
    private Long uid;
    /**
     * 商户 id
     */
    private Long mer_id;
    /**
     * 类型 0=普通产品
     */
    private Integer product_type;
    /**
     * 商品ID
     */
    private Long product_id;
    /**
     * 商品属性
     */
    private String product_attr_unique;
    /**
     * 商品数量
     */
    private Integer cart_num;
    /**
     * 添加时间
     */
    private Date create_time;
    /**
     * 来源 1=直播间
     */
    private Integer source;
    /**
     * 来源关联 id
     */
    private Long source_id;
    /**
     * 0 = 未购买 1 = 已购买
     */
    private Integer is_pay;
    /**
     * 是否删除
     */
    private Integer is_del;
    /**
     * 是否为立即购买
     */
    private Integer is_new;
    /**
     * 是否失效
     */
    private Integer is_fail;

    private  Product  product;
    private  ProductAttr   productAttr;
    private BigDecimal  yanglao;

    public Long getCart_id() {
        return cart_id;
    }

    public void setCart_id(Long cart_id) {
        this.cart_id = cart_id;
    }

    public Long getUid() {
        return uid;
    }

    public void setUid(Long uid) {
        this.uid = uid;
    }

    public Long getMer_id() {
        return mer_id;
    }

    public void setMer_id(Long mer_id) {
        this.mer_id = mer_id;
    }

    public Integer getProduct_type() {
        return product_type;
    }

    public void setProduct_type(Integer product_type) {
        this.product_type = product_type;
    }

    public Long getProduct_id() {
        return product_id;
    }

    public void setProduct_id(Long product_id) {
        this.product_id = product_id;
    }

    public String getProduct_attr_unique() {
        return product_attr_unique;
    }

    public void setProduct_attr_unique(String product_attr_unique) {
        this.product_attr_unique = product_attr_unique;
    }

    public Integer getCart_num() {
        return cart_num;
    }

    public void setCart_num(Integer cart_num) {
        this.cart_num = cart_num;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public Long getSource_id() {
        return source_id;
    }

    public void setSource_id(Long source_id) {
        this.source_id = source_id;
    }

    public Integer getIs_pay() {
        return is_pay;
    }

    public void setIs_pay(Integer is_pay) {
        this.is_pay = is_pay;
    }

    public Integer getIs_del() {
        return is_del;
    }

    public void setIs_del(Integer is_del) {
        this.is_del = is_del;
    }

    public Integer getIs_new() {
        return is_new;
    }

    public void setIs_new(Integer is_new) {
        this.is_new = is_new;
    }

    public Integer getIs_fail() {
        return is_fail;
    }

    public void setIs_fail(Integer is_fail) {
        this.is_fail = is_fail;
    }

    public Product getProduct() {
        return product;
    }

    public void setProduct(Product product) {
        this.product = product;
    }

    public ProductAttr getProductAttr() {
        return productAttr;
    }

    public void setProductAttr(ProductAttr productAttr) {
        this.productAttr = productAttr;
    }

    public BigDecimal getYanglao() {
        return yanglao;
    }

    public void setYanglao(BigDecimal yanglao) {
        this.yanglao = yanglao;
    }
}
